d3.csv('data.csv', function(err, rows){
  function unpack(rows, key) {
    return rows.map(function(row)
    { return row[key]; });
  }

var trace1 = {
	x:unpack(rows, 'Average of Total Sales'), y: unpack(rows, 'Average of Price per Unit'), z: unpack(rows, 'Average of Operating Profit'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};



var data = [trace1];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  },
             scene: {
    xaxis: {
      title: 'Total Sales'
    },
    yaxis: {
      title: 'Price per Unit'
    },
    zaxis: {
      title: 'Operating Profit'
    }
  }};
Plotly.newPlot('myDiv', data, layout);
});
